%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}
%define __libtoolize /bin/true

%define gwrap_req_version 1.3.4-8mdk
%define doc_version 1.8.4

Name: gnucash
Summary: GnuCash is an application to keep track of your finances.
Version: 1.8.9
Release: 2mdk
License: GPL
Group: Office
Source0: http://ftp.gnucash.org/pub/gnucash/sources/stable/%{name}-%{version}.tar.bz2
Source1: gnucash-48.png
Source2: gnucash-32.png
Source3: gnucash-16.png
Source4: http://ftp.gnucash.org/pub/gnucash/sources/stable/%{name}-docs-%{doc_version}.tar.bz2
Patch0: gnucash-1.8.6-libtool.patch.bz2
Patch1: gnucash-1.8.6-64bit-fixes.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.gnucash.org

# g-wrap must be regenerated when guile is
Requires: guile >= 1.6
Requires: umb-scheme >= 3.2-17mdk
Requires: Guppi
Requires: g-wrap >= %{gwrap_req_version}
Requires: python >= 2.3
Requires: %{lib_name} >= %{version}-%{release}
BuildRequires: g-wrap-devel >= %{gwrap_req_version}
BuildRequires: libguppi-devel
BuildRequires: libghttp-devel
BuildRequires: libgtkhtml-devel >= 1.1.0
BuildRequires: bonobo-devel
BuildRequires: libglade-devel
BuildRequires: readline-devel
BuildRequires: libtermcap-devel
BuildRequires: libunicode-devel
BuildRequires: libGConf-devel
BuildRequires: gal-devel
BuildRequires: libxml-devel
BuildRequires: popt-devel
BuildRequires: python-devel >= 2.3
BuildRequires: scrollkeeper >= 0.3.4
BuildRequires: libxslt-proc
BuildRequires: libofx-devel
BuildRequires: openhbci-devel >= 0.9.13
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: automake1.4

#disable requires in private shared libraries
%define _requires_exceptions devel.libgncmod-[^[:space:]].

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%package ofx
Summary: Enables OFX importing in GnuCash
Group: Office
Requires: gnucash = %{version}-%{release}
 
%description ofx
This package adds OFX file import support to the base
GnuCash package. Install this package if you want to
import OFX files.

%package hbci
Summary: Enables HBCI importing in GnuCash
Group: Office
Requires: gnucash = %{version}-%{release}
 
%description hbci
This package adds HBCI file import support to the base
GnuCash package. Install this package if you want to
import HBCI files.


%package -n %{lib_name}-devel
Group:	Development/C
Summary: Libraries needed to develop for gnucash
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel


%description -n %{lib_name}-devel
Libraries needed to develop for gnucash.

%package -n %{lib_name}
Summary:        Libraries for gnucash
Group:          System/Libraries

%description -n %{lib_name}
This package provides libraries to use gnucash.


%prep
%setup -q -a 4
%patch0 -p1 -b .libtool
%patch1 -p1 -b .64bit-fixes
# lib64 fixes, avoid patch for now
perl -pi -e '/^G_WRAP_LIB_DIR/ and s,\|lib\|,|%{_lib}|,' configure.in
autoconf
automake-1.4

%build

#don't update libtool
%define __libtoolize /bin/true

%configure --enable-gui --enable-hbci --enable-ofx --disable-error-on-warning 

cd gnucash-docs-%{doc_version}
%configure --localstatedir=/var/lib
cd ..

%make

cd gnucash-docs-%{doc_version}
%make
cd ..

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

cd gnucash-docs-%{doc_version}
%makeinstall_std
cd ..

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

#don't ship this file
%{find_lang} %{name} --with-gnome --all-name

# Icons
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

# Menu entry 
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat >$RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" icon="%{name}.png" needs="X11" \
section="Applications/Finances" title="GnuCash" longtitle="GnuCash Personal finance manager"
EOF


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
if [ "$1" = 1 ]; then 
  %{__install_info} %{_infodir}/%{name}-design.info.bz2 %{_infodir}/dir --section="Miscellaneous" --entry="* Gnucash: (gnucash-design).             Gnucash design."
fi
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
%{clean_menus}
if [ "$1" = 0 ]; then
  %{__install_info} --delete %{_infodir}/%{name}-design.info.bz2 %{_infodir}/dir --section="Miscellaneous" --entry="* Gnucash: (gnucash-design).             Gnucash design."
fi
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/gnucash-make-guids
%{_bindir}/gnucash-config
%{_libdir}/*.so
%{_includedir}/gnucash
%{_datadir}/aclocal/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*
%{_libdir}/*.la

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}		
%{_bindir}/gnucash
%{_bindir}/gnucash-env
%{_bindir}/gnucash-run-script
%{_bindir}/gnc-test-env
%{_bindir}/gnc-prices
%{_bindir}/update-finance-quote
%{_bindir}/dump-finance-quote
%{_datadir}/%{name}/finance-quote-helper
%{_datadir}/%{name}/finance-quote-check
%dir %{_libdir}/gnucash
%{_libdir}/gnucash/*.la
%{_libdir}/gnucash/*.so*
%{_libdir}/gnucash/overrides
%dir %{_datadir}/%{name}
%{_infodir}/*
%{_datadir}/%{name}/accounts
%{_datadir}/%{name}/guile-modules
%{_datadir}/%{name}/glade
%doc %{_datadir}/%{name}/doc
%{_datadir}/%{name}/scm
%{_datadir}/gnome/apps/Applications/gnucash.desktop
%{_datadir}/pixmaps/gnucash
%{_mandir}/*/*
%doc AUTHORS COPYING ChangeLog ChangeLog.1 HACKING NEWS README README.patches
%doc doc/README.german doc/README.francais doc/guile-hackers.txt
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_menudir}/%{name}
%{_datadir}/mime-info/*
%{_datadir}/omf/*
%exclude %{_libdir}/gnucash/libgncmod-ofx*
%exclude %{_datadir}/gnucash/scm/ofx/*
%exclude %{_libdir}/gnucash/libgncmod-hbci*
%exclude %{_datadir}/gnucash/glade/hbci*
%exclude %{_datadir}/gnucash/scm/hbci/*

%files ofx
%defattr(-,root,root)
%doc doc/README.OFX
%{_libdir}/gnucash/libgncmod-ofx*
%{_datadir}/gnucash/scm/ofx

%files hbci
%defattr(-,root,root)
%doc doc/README.HBCI
%{_libdir}/gnucash/libgncmod-hbci*
%{_datadir}/gnucash/glade/hbci*
%{_datadir}/gnucash/scm/hbci


%changelog
* Fri Aug 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.9-2mdk
- Rebuild for new gcc

* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.9-1mdk
- New release 1.8.9
- Update docs to 1.8.4

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.8-2mdk
- Rebuild against latest hbci

* Wed Nov 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.8-1mdk
- Release 1.8.8

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.6-2mdk
- libtool, lib64, 64-bit fixes

* Fri Sep 12 2003  1.8.6-1mdk
- Release 1.8.6
- Doc 1.8.3

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.5-3mdk
- Fix BuildRequires

* Fri Aug 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.5-2mdk
- Update docs to 1.8.2

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.5-1mdk
- Release 1.8.5

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.4-2mdk
- png icons
- Build fixes from Douglas Wilkins <douglasw@mweb.co.za> :
  - Added build requires on intltool
  - Added requires exceptions on all libs in /usr/lib/gnucash 
	to fix devel lib dependencies

* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.4-1mdk
- Release 1.8.4 (doc 1.8.1)
- Switch to guile 1.6

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.2-2mdk
- Fix buildrequires
- Rebuild against latest gal

* Thu Apr  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.2-1mdk
- Release 1.8.2

* Mon Feb 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.1-2mdk
- Update patch 1 for guile 1.4.1

* Thu Feb 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.1-1mdk
- Release 1.8.1

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-2mdk
- Add support for ofx and hbci

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-1mdk
- Release 1.8.0
- Remove patch0 (merged upstream)
- Patch1: check for guile1.4 existence

* Tue Nov 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.8-2mdk
- Patch0: fix compilation with gtkhtml 1.1.x
- Recompiled against latest gal/gtkhtml

* Thu Oct 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.8-1mdk
- Release 1.6.8

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.7-1mdk
- Release 1.6.7

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.6-1mdk
- Release 1.6.6

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.5-3mdk
- Recompiled against latest guppi

* Thu Jan 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.5-2mdk
- Recompiled against latest libgal
- Don't update libtool, it breaks compilation
- Prevent compilation with g-wrap 1.2.x and 1.3.x

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.5-1mdk
- Release 1.6.5
- Recompiled against python 2.2
- Switch to implicit dependencies

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.4-7mdk
- Recompiled against gtkhtml 1.0

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.4-6mdk
- Recompiled against latest guppi

* Fri Nov  9 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.4-5mdk
- rebuilt with libgal18

* Tue Oct 30 2001 Stefan van der Eijk <stefan@eijk.nu> 1.6.4-4mdk
- BuildRequires: libxml-devel
- Removed redundant BuildRequires

* Mon Oct 29 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.4-3mdk
- rebuilt with libguppi13, libgal15 and libgtkhtml18

* Wed Oct 11 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4-2mdk
- use find-lang macro for the help files

* Mon Oct  8 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.4-1mdk
- new version

* Mon Oct  8 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.2-4mdk
- new version

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-4mdk
- Recompiled against libgtkhtml16/libgal12

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-3mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-2mdk
- Fix info install
- Recompiled against libgal11

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-1mdk
- Release 1.6.2

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-3mdk
- Recompiled against latest gtkhtml/gal

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-2mdk
- Recompiled against latest gtkhtml/gal

* Tue Jul 10 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.1-1mdk
- new version with updated translations
- created lib package

* Thu Jun 28 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.0-3mdk
- requires python
- changed libgal6 to libgal7
- adapt for new libtool
- install info pages
- still problems with translation files (at least fr and de) that make 
it crash when opening an account

* Fri Jun 22 2001 Stefan van der Eijk <stefan@eijk.nu> 1.6.0-2mdk
- BuildRequires: db1-devel
- BuildRequires: popt-devel
- BuildRequires: python-devel
- Remove BuildRequires: guile-devel
- Remove BuildRequires: gnome-libs-devel

* Thu Jun 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0.

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.97-0.2mdk
- Fix owner for some files
- New office menu structure

* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.5.97-0.1mdk
- First beta version of 1.6 (feature freeze)
- lots of requirements and build requirements
- files list updates

* Wed Mar 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.10-1mdk
- new version, now from ftp.gnome.org

* Thu Mar 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.9-1mdk
- new version
- readded .desktop

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.8-1mdk
- new version 1.4.8
- added buildconflicts with libxml2-devel

* Mon Oct  9 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-2mdk
- added /usr/lib/gnucash/perl/* library files
- added la files in devel
- added man pages
- added requirement in devel
- gnucash.so is needed in the *normal* package because of swig
- moved libgncengine.so from devel to normal, just in case...

* Mon Oct  2 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-1mdk
- new version

* Tue Sep 12 2000  <rchaillat@bi.mandrakesoft.com> 1.4.6-1mdk
- new version

* Thu Aug 31 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-2mdk
- added comment about g-wrap
- added menu file

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-1mdk
- went back to stable releases
- macroszification
- corrected icons
- added some more BuildRequires (xpm, guile-devel)
- specfile clean-up
- split application and devel packages

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.5.0-1mdk
- Updated version

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-3mdk
- Repaired missing libs

* Mon Jul 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-1mdk
- Updated version / release 2 hours ago.

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.1-1mdk
- Updated version

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-5mdk
- Give full path when using convert.
- BuildPrereq: /usr/bin/convert.
- Regenerate libtoolize everywhere there is a configure.
- BuildRequires: eperl swig.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-4mdk

- Patched to compile with perl 5.6.0

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk

- Icon for menu entry
- Rebuilt on kenobi


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.3.1-2mdk

- Menu'ized, changed group to Office (was: Applications/Finance)


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com>

- First RPM for Mandrake

* Mon Feb 29 2000 Christian Schaller <Uraues@linuxrising.org>
- Updated for use with TurboLinux and some minor SPEC changes
